# Uses of Interface
classycle.renderer.AtomicVertexRenderer

Packages that use AtomicVertexRenderer
Package
Description
classycle
classycle.renderer

## Uses of AtomicVertexRenderer in classycle

Classes in classycle that implement AtomicVertexRenderer
Modifier and Type
Class
Description
`class`
`XMLPackageRenderer`
XML renderer of an `AtomicVertex` with `NameAttributes`.
Methods in classycle that return AtomicVertexRenderer
Modifier and Type
Method
Description
`protected AtomicVertexRenderer`
XMLPackageRenderer.`getVertexRenderer()`

## Uses of AtomicVertexRenderer in classycle.renderer

Classes in classycle.renderer that implement AtomicVertexRenderer
Modifier and Type
Class
Description
`class`
`PlainClassRenderer`
Plain text renderer of an `AtomicVertex` with `ClassAttributes`.
`class`
`TemplateBasedClassRenderer`
Renderer of an `AtomicVertex` with `ClassAttributes`.
`class`
`XMLAtomicVertexRenderer`
XML renderer of an `AtomicVertex` with `NameAttributes`.
`class`
`XMLClassRenderer`
XML renderer of an `AtomicVertex` with `ClassAttributes`.
Methods in classycle.renderer that return AtomicVertexRenderer
Modifier and Type
Method
Description
`protected abstract AtomicVertexRenderer`
XMLAtomicVertexRenderer.`getVertexRenderer()`
`protected AtomicVertexRenderer`
XMLClassRenderer.`getVertexRenderer()`